Bug 464918 - [RHEL5] nscd segfaults on mail servers which do lots of host lookups for various DNS-based blacklists [NEEDINFO]
[RHEL5] nscd segfaults on mail servers which do lots of host lookups for vari...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jakub Jelinek
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-01 08:52 EDT by Steve
Modified: 2016-11-24 10:37 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:44:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ddomingo: needinfo? (jakub)


Attachments (Terms of Use)
core file generated by nscd segfault (365.84 KB, application/x-gzip)
2008-10-01 08:52 EDT, Steve
no flags Details
nscd.conf (1.46 KB, text/plain)
2008-10-01 08:53 EDT, Steve
no flags Details

  None (edit)
Description Steve 2008-10-01 08:52:35 EDT
Created attachment 318188 [details]
core file generated by nscd segfault

Description of problem:
nscd segfaults on mail servers which do lots of host lookups for various DNS-based blacklists. All that gets logged is this in "dmesg":
nscd[2739]: segfault at 0000000041004000 rip 0000555555563474 rsp 0000000040fab480 error 6


Version-Release number of selected component (if applicable):
nscd-2.5-18.el5_1.1
glibc-common-2.5-18.el5_1.1
glibc-2.5-18.el5_1.1

How reproducible:
Fairly reproducible on servers doing lots of host lookups

Steps to Reproduce:
I have not been able to reproduce this issue locally. However, the customer reports that this problem occurs fairly frequently in his setup. The core generated from the segfault has been collected and attached.
  
Actual results:
nscd segfaults with the message
nscd[2739]: segfault at 0000000041004000 rip 0000555555563474 rsp 0000000040fab480 error 6

Expected results:
nscd should not segfault

Additional info:
A bt on the core gives:

Core was generated by `/usr/sbin/nscd'.
Program terminated with signal 11, Segmentation fault.
#0  gc (db=0x55555576e330) at mem.c:131
131	      ref_t run = *prevp;
(gdb) bt
#0  gc (db=0x55555576e330) at mem.c:131
#1  0x0000555555562a0f in prune_cache (table=0x55555576e330, now=1199409921, fd=-1) at cache.c:486
#2  0x000055555555c303 in nscd_run (p=0x1) at connections.c:1484
#3  0x00002aaaaaed52f7 in ?? ()
#4  0x0000000000000000 in ?? ()
Comment 1 Steve 2008-10-01 08:53:39 EDT
Created attachment 318189 [details]
nscd.conf
Comment 17 errata-xmlrpc 2009-09-02 07:44:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1415.html

Note You need to log in before you can comment on or make changes to this bug.